Package org.springframework.security.web.firewall

# Class ObservationMarkingRequestRejectedHandler

java.lang.Object
org.springframework.security.web.firewall.ObservationMarkingRequestRejectedHandler

All Implemented Interfaces:
  `RequestRejectedHandler`

public final class ObservationMarkingRequestRejectedHandler extends Object implements RequestRejectedHandler

## Constructor Summary

Constructors
Constructor
Description
`ObservationMarkingRequestRejectedHandler(io.micrometer.observation.ObservationRegistry registry)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, RequestRejectedException exception)`
Handles an request rejected failure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObservationMarkingRequestRejectedHandler

public ObservationMarkingRequestRejectedHandler(io.micrometer.observation.ObservationRegistry registry)

## Method Details

### handle

public void handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, RequestRejectedException exception) throws IOException, jakarta.servlet.ServletException
Description copied from interface: `RequestRejectedHandler`
Handles an request rejected failure.

Specified by:
  `handle` in interface `RequestRejectedHandler`
Parameters:
  `request` - that resulted in an `RequestRejectedException`
  `response` - so that the user agent can be advised of the failure
  `exception` - that caused the invocation
Throws:
  `IOException` - in the event of an IOException
  `jakarta.servlet.ServletException` - in the event of a ServletException